pkgsrc-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[pkgsrc/trunk]: pkgsrc/pkgtools/pkg_install/files Add a script that imports f...



details:   https://anonhg.NetBSD.org/pkgsrc/rev/5da81dc73140
branches:  trunk
changeset: 479690:5da81dc73140
user:      jlam <jlam%pkgsrc.org@localhost>
date:      Fri Aug 20 22:27:12 2004 +0000

description:
Add a script that imports from src HEAD to a named directory.

diffstat:

 pkgtools/pkg_install/files/pkg_install2nbcompat |  53 +++++++++++++++++++++++++
 1 files changed, 53 insertions(+), 0 deletions(-)

diffs (57 lines):

diff -r b3cd12fb43e9 -r 5da81dc73140 pkgtools/pkg_install/files/pkg_install2nbcompat
--- /dev/null   Thu Jan 01 00:00:00 1970 +0000
+++ b/pkgtools/pkg_install/files/pkg_install2nbcompat   Fri Aug 20 22:27:12 2004 +0000
@@ -0,0 +1,53 @@
+#!/bin/sh
+#
+#      $NetBSD: pkg_install2nbcompat,v 1.1 2004/08/20 22:27:12 jlam Exp $
+#
+# Copyright (c) 2004 The NetBSD Foundation, Inc.
+# All rights reserved.
+#
+# This code is derived from software contributed to The NetBSD Foundation
+# by Johnny C. Lam.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+# 3. All advertising materials mentioning features or use of this software
+#    must display the following acknowledgement:
+#        This product includes software developed by the NetBSD
+#        Foundation, Inc. and its contributors.
+# 4. Neither the name of The NetBSD Foundation nor the names of its
+#    contributors may be used to endorse or promote products derived
+#    from this software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
+# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
+# TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
+# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
+# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
+# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
+# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
+# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
+# POSSIBILITY OF SUCH DAMAGE.
+#
+
+if [ $# -lt 1 ]; then echo "pax2nbcompat dest"; exit 1; fi
+
+: ${PKGSRCDIR:=/usr/pkgsrc}
+: ${BSDSRCDIR:=/usr/src}
+
+if [ ! -d "${BSDSRCDIR}" ]; then
+       echo "${BSDSRCDIR} doesn't exist"
+       exit 1
+fi
+
+src2nbcompat="${PKGSRCDIR}/pkgtools/libnbcompat/files/src2nbcompat"
+dest=$1
+
+$src2nbcompat ${BSDSRCDIR}/usr.sbin/pkg_install                $dest



Home | Main Index | Thread Index | Old Index